(function ($, Drupal, once) {

  'use strict'

  Drupal.behaviors.simplePopupBlocks = {
    attach: function (context, settings) {
        
        var email = drupalSettings?.poper?.settings?.[0]?.email;
      
      // Generate MD5 hash of the email
        var accountId = CryptoJS.MD5(email).toString();
      
      // Inject the script with the generated accountId
      var script = document.createElement('script');
      script.id = "poper-js-script";
      script.src = "https://app.poper.ai/share/poper.js";
      script.defer = true;
      
      // Add the accountId as a data attribute
      script.dataset.accountId = accountId;
      
      // Inject the second script
      var initScript = document.createElement('script');
      initScript.textContent = `
        window.Poper = window.Poper || [];
        window.Poper.push({
          accountID: "${accountId}",
        });
      `;
      
      // Append scripts to the head
      document.head.appendChild(script);
      document.head.appendChild(initScript);
      
    }
  } 
})(jQuery, Drupal, once)
